Search documentation of ExStreamClient

# ExStreamClient.Model.FileUploadConfig (ExStreamClient v0.1.10)

View Source

Schema representing a FileUploadConfig

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.FileUploadConfig{
      allowed_file_extensions: [String.t()] | nil,
      allowed_mime_types: [String.t()] | nil,
      blocked_file_extensions: [String.t()] | nil,
      blocked_mime_types: [String.t()] | nil,
      size_limit: integer()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()